phina.globalize(); // phina.jsがこれで使えるようになります。

let SCREEN_X = 800;     // 背景画像の横サイズ
let SCREEN_Y = 600;　　 // 背景画像の縦サイズ　
let scale = 1;

// こんな感じで画像や音のファイルを指定します
let ASSETS = {
  image:{
    white:"img/te01.png",     //背景画像
    bg: "img/bg.jpg",
  },
};

phina.define('MainScene', {         
  superClass: 'DisplayScene',
  init: function(option) {                 // ここでオプションとして横サイズ、縦サイズを指定します。
    this.superInit(option); 
    this.bg = Sprite("bg").addChildTo(this);   // 背景画像に関する設定
    this.bg.origin.set(0, 0);
    this.bg.width = SCREEN_X;
    this.bg.height = SCREEN_Y;
    let player = Sprite("white", 162, 199) 
	.addChildTo(this)
	.setPosition(this.gridX.center(), this.gridY.center())
	.setScale(scale);
  },
});
    
// ここがゲームスタートの入り口です
phina.main(function() {
  let app = GameApp({
    startLabel: 'main',  
    width: SCREEN_X,
    height: SCREEN_Y,
    assets: ASSETS,       
  });
  app.run();
});